Skip to main content

Create GCP Connection

Create a new GCP Connection. This API should only be invoked by the Clumio Terraform provider and should not be invoked manually.

Request Body

The body of the request.

  • deployment_type string

    Possible values: [direct_terraform, infrastructure_manager]

    The method by which the GCP terraform template was deployed.

  • description string required

    The user defined description for the connection.

  • project_id string required

    The user-assigned ID of the GCP project associated with the connection.

  • regions string[] required

    The GCP regions to be used for inventory. Each region must be a valid GCP region identifier (e.g., "us-central1", "europe-west1").

Responses

Success


Schema
  • clumio_service_account string

    Clumio service account email that will be allowed access in customer env

  • configuration object
  • gcs object
  • installed_template_version string

    The current version of the feature.

  • installed_template_version string

    The current version of the feature.

  • connection_status string

    Possible values: [new, installed, deleted, retired]

    The status of the connection

  • connection_type string

    Possible values: [service]

    The type of this connection, which identifies its use.

  • control_plane_id string

    Clumio control plane ID

  • control_plane_role string

    Clumio Control plane role name that will be federated into GCP

  • created_timestamp string

    The timestamp of when the connection was created.

  • deployment_type string

    Possible values: [direct_terraform, infrastructure_manager]

    The method by which the GCP terraform template was deployed.

  • description string

    The user defined description for the connection.

  • organizational_unit_id string

    The Clumio-assigned ID of the organizational unit associated with the GCP connection. For more information about organizational units, refer to the Organizational-Units documentation.

  • project_id string

    The user-assigned ID of the GCP project associated with the connection.

  • project_name string

    The user-friendly name of the GCP project associated with the connection.

  • project_number string

    The GCP-assigned numeric INT64 project number associated with the connection.

  • regions string[]

    The GCP regions used for inventory.

  • template_permission_set string

    Possible values: [all, inventory_backup]

    The permission set selected during registration.

  • token string

    The 36-character Clumio GCP integration token used to identify the installation of the Clumio GCP integration resources in the project.

  • updated_timestamp string

    The timestamp of when the connection was updated.

Loading...